std::tr1::weak_count(3)

NAME
std::tr1::weak_count -

SYNOPSIS

Detailed Description

Definition at line 331 of file boost_shared_ptr.h.

  Public Member Functions
weak_count & operator= (const weak_count &__r)
weak_count & operator= (const shared_count &__r)
void swap (weak_count &__r)
long use_count () const
weak_count (const weak_count &__r)
weak_count (const shared_count &__r)
weak_count ()
~weak_count ()

  Friends
bool operator< (const weak_count &__a, const weak_count &__b)
bool operator== (const weak_count &__a, const weak_count &__b)
class shared_count

Author

Generated automatically by Doxygen for libstdc++ from the source code.